This bug was fixed in the package ubuntu-advantage-tools - 2

---------------
ubuntu-advantage-tools (2) trusty; urgency=medium

  * ubuntu-advantage & /etc/update-motd.d/99-esm now build, run and are quiet
    on non-precise release. (LP: #1686183)
  * Add simple dep8 tests.
  * Also install ca-certificates (LP: #1690270)

 -- David Britton <david.brit...@canonical.com>  Fri, 30 Jun 2017
15:20:00 -0600

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1686183

Title:
  Ship ubuntu-advantage in ubuntu-minimal

Status in ubuntu-advantage-tools package in Ubuntu:
  Fix Released
Status in ubuntu-meta package in Ubuntu:
  New
Status in ubuntu-advantage-tools source package in Precise:
  Fix Released
Status in ubuntu-meta source package in Precise:
  Fix Released
Status in ubuntu-advantage-tools source package in Trusty:
  Fix Released
Status in ubuntu-meta source package in Trusty:
  New
Status in ubuntu-advantage-tools source package in Xenial:
  Fix Released
Status in ubuntu-meta source package in Xenial:
  New
Status in ubuntu-advantage-tools source package in Yakkety:
  Won't Fix
Status in ubuntu-meta source package in Yakkety:
  Won't Fix
Status in ubuntu-advantage-tools source package in Zesty:
  Fix Released
Status in ubuntu-meta source package in Zesty:
  New
Status in ubuntu-advantage-tools source package in Artful:
  Fix Released
Status in ubuntu-meta source package in Artful:
  New

Bug description:
  The ubuntu-advantage-tools package is a bit odd as it was first landed
  in precise to support the ESM effort inside canonical. [0]  In order
  to bring this package up to date across other series in ubuntu, it has
  been recommended by the Ubuntu Foundations team to land into trusty
  next, then forward-port pocket-copy to all supported series until we
  get to the devel release.

  The version here:

  https://github.com/CanonicalLtd/ubuntu-advantage-
  script/releases/tag/v2

  ... has all on-disk bits correctly working, for all series, but no-ops
  on any release other than precise (ESM is only for "unsupported" LTS
  releases as it were).  This is a request to land ubuntu-advantage-
  tools into trusty, then pocket-copy it to supported series of ubuntu
  once that is finished.

  [Impact]

   * Allow ubuntu-advantage users to access the extended security
  maintenance script with a simple command line tool.  This script needs
  to hit precise machines and be easy for ubuntu-advantage customers to
  enable, thus basefiles was chosen as a home.

  [Test Case]

   * Run ubuntu-advantage, it should print out help

   * Run sudo ubuntu-advantage enable <token> (without sudo it will warn
  you), but you need to be an ubuntu-advantage customer to get that
  token.  In the end, the script simply adds and removes an
  /etc/apt/sources.list.d entry.

   * Verify that the MOTD does not contain any mention of ubuntu-
  advantage esm or precise and its end of life

   * Verify that ubuntu-advantage enable-esm <token> installs needed 
dependencies:
    - create the following file and its contents to have apt not install 
recommended packages by default:
  $ cat /etc/apt/apt.conf.d/no-recommends
  APT::Install-Recommends "false";
    - remove ca-certificates and apt-transport-https:
  $ sudo apt remove ca-certificates apt-transport-https
    - run sudo ubuntu-advantage enable-esm <token> and verify that the two 
removed packages are reinstalled

   * you can contact me (d...@canonical.com) if you would like a token
  for test purposes.

  [Regression Potential]

   * Low, this is a new script, not included in any automated startup
  paths.

  [Other Info]

   * http://blog.dustinkirkland.com/2017/03/ubuntu-1204-esm.html

  [0] https://insights.ubuntu.com/2017/03/14/introducing-ubuntu-12-04
  -esm-extended-security-maintenance/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1686183/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to